figure;  
  subplot(3,3,1);
  plot(Plotrng,d.dot_gdp,'k');
  hold on
  plot(Plotrng,d.dot4_gdp,'k--');
  title('GDP Growth'); 
  legend('q-o-q','y-o-y','location','NorthEast');
  grid on; box off;
  
  subplot(3,3,2);
  plot(Plotrng,d.lgdp,'k');
  hold on
  plot(Plotrng,d.lgdp_eq,'r--');
  title('Output'); 
  legend('Output','Trend','location','SouthEast');
  grid on; box off;
  
  subplot(3,3,3);
  plot(Plotrng,[d.dot_gdp_eq], 'k');
  hold on;
  plot(Plotrng,[d.gg],'r--');
  title('Potential Output Growth (q-o-q)'); 
  grid on; box off;
  
  subplot(3,3,4);
  plot(Plotrng,d.rr,'k');
  hold on
  plot(Plotrng,d.rr_eq,'r--');
  title('Real Interest Rate'); 
  grid on; box off;
  
  subplot(3,3,5);
  plot(Plotrng,d.x_rr,'k');
  hold on
  plot(Plotrng,d.x_rr_eq,'r--');
  title('Foreign Real Interest Rate'); 
  grid on; box off;
  
  subplot(3,3,6);
  plot(Plotrng,d.lz,'k');
  hold on
  plot(Plotrng,d.lz_eq,'r--');
  title('Real Exchange Rate'); 
  grid on; box off;
  
  subplot(3,3,7);
  plot(Plotrng,d.dot_z_eq,'r--');
  title('Change in the Real Eq. Exchange Rate (q-o-q)'); 
  grid on; box off;
  
  subplot(3,3,8);
  plot(Plotrng,d.dot4_cpi,'k');
  hold on
  plot(Plotrng,d.target,'r--');
  title('CPI Headline inflation'); 
  legend('Inflation','Target','location','SouthEast');
  grid on; box off;
  
  subplot(3,3,9);
  plot(Plotrng,d.dot4_cpi_core,'k');
  hold on
  plot(Plotrng,d.dot4_cpi_serv,'b');
  hold on
  plot(Plotrng,d.dot4_cpi_goodsx,'g');
  hold on
  plot(Plotrng,d.target,'r--');
  title('Core CPI inflation'); 
  grid on; box off;
  
  
% figure;  
%   subplot(2,3,1);  
%   plot(Plotrng,d.lrp_food,'k');
%   hold on
%   plot(Plotrng,d.lrp_food_eq,'r--');
%   title('Relative Price of Food'); 
%   legend('Relative price','Trend relative price','location','SouthEast');
%   grid on; box off;
%   
%   subplot(2,3,2);
%   plot(Plotrng,d.lrp_serv,'k');
%   hold on
%   plot(Plotrng,d.lrp_serv_eq,'r--');
%   title('Relative Price of Services inflation'); 
%   grid on; box off;
%   
%   subplot(2,3,3);
%   plot(Plotrng,d.lrp_goodsx,'k');
%   hold on
%   plot(Plotrng,d.lrp_goodsx_eq,'r--');
%   title('Relative Price of Core Goods inflation'); 
%   grid on; box off;
% 
%   subplot(2,3,4);
%   plot(Plotrng,d.lrp_petr,'k');
%   hold on
%   plot(Plotrng,d.lrp_petr_eq,'r--');
%   title('Relative Price of Petrol'); 
%   grid on; box off;
% 
%   subplot(2,3,5);
%   plot(Plotrng,d.lrp_elec,'k');
%   hold on
%   plot(Plotrng,d.lrp_elec_eq,'r--');
%   title('Relative Price of Electricity'); 
%   grid on; box off;
 
  
figure;
  subplot(3,2,1); hold on;
  p = plot(Plotrng,[d.lgdp_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Output Gap'); 
  grid on; box off;
  
  subplot(3,2,2); hold on;
  p = plot(Plotrng,[d.rr_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Real Interest Rate Gap'); 
  grid on; box off;
  
  subplot(3,2,3); hold on;
  p = plot(Plotrng,[d.lz_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Real Exchange Rate Gap'); 
  grid on; box off;
  
  subplot(3,2,4); hold on;
  p = plot(Plotrng,[d.lqfood_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Relative Food Price'); 
  grid on; box off;
  
  subplot(3,2,5); hold on;
  p = plot(Plotrng,[d.lx_gdp_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Foreign Output Gap'); 
  grid on; box off;
  
  subplot(3,2,6); hold on;
  p = plot(Plotrng,[d.x_rr_gap d.zeroline]);
  set(p(1),'Color',[1.0000    0.0781    0.5742],'LineWidth',2);
  set(p(2),'Color',[0, 0, 0],'LineWidth',1.5);
  title('Foreign Real Interest Rate Gap'); 
  grid on; box off;
  
figure;
  subplot(3,3,1); hold on;
  plot(Plotrng,d.e_dot_cpi_serv,'k');
  title('Shock - Services Inflation (q-o-q)'); 
  grid on; box off;
  
  subplot(3,3,2); hold on;
  plot(Plotrng,d.e_dot_cpi_goodsx,'k');
  title('Shock - Core Goods Inflation (q-o-q)'); 
  grid on; box off;
  
  subplot(3,3,3); hold on;
  plot(Plotrng,d.e_dot_cpi_food,'k');
  title('Shock - Food Inflation (q-o-q)'); 
  grid on; box off;
  
  subplot(3,3,4); hold on;
  plot(Plotrng,d.e_ls,'k');
  title('Shock - Exchange Rate'); 
  grid on; box off;
  
  subplot(3,3,5); hold on;
  plot(Plotrng,d.e_rn,'k');
  title('Shock - Interest Rate'); 
  grid on; box off;
  
  subplot(3,3,6); hold on;
  plot(Plotrng,d.e_lgdp_gap,'k');
  title('Shock - Output Gap'); 
  grid on; box off;
  
  subplot(3,3,7); hold on;
  plot(Plotrng,[d.e_dot_pm_serv d.e_dot_pm_goodsx],'k');
  legend('Services', 'Core goods');
  title('Shock - Import Prices (q-o-q)'); 
  grid on; box off;
  
  figure;  
  subplot(2,3,1);
  plot(Plotrng,d.dot_emp,'k');
  hold on
  plot(Plotrng,d.dot4_emp,'k--');
  title('Employment Growth'); 
  legend('q-o-q','y-o-y','location','NorthEast');
  grid on; box off;
  
  subplot(2,3,2);
  plot(Plotrng,d.lemp,'k');
  hold on
  plot(Plotrng,d.lemp_eq,'r--');
  title('Employment'); 
  legend('Employment','Trend','location','SouthEast');
  grid on; box off;
  
  subplot(2,3,3);
  plot(Plotrng,d.dot_emp_eq,'r--');
  title('Employment Trend Growth (q-o-q)'); 
  grid on; box off;
  
  subplot(2,3,4);
  plot(Plotrng,d.lemp_gap,'k');
  title('Employment Gap'); 
  grid on; box off;
  
  subplot(2,3,5);
  plot(Plotrng,d.dot_ulc,'k');
  hold on
  plot(Plotrng,d.dot4_ulc,'k--');
  title('Unit Labour Cost Inflation'); 
  legend('q-o-q','y-o-y','location','NorthEast');
  grid on; box off;